com.thinkaurelius.titan.graphdb.types.typemaker

## Class DisableDefaultSchemaMaker

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.types.typemaker.DisableDefaultSchemaMaker

- All Implemented Interfaces:
    DefaultSchemaMaker

      public class DisableDefaultSchemaMaker
      extends Object
      implements DefaultSchemaMaker

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultSchemaMaker` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `ignoreUndefinedQueryTypes()` Whether to ignore undefined types occurring in a query.
    `EdgeLabel` | `makeEdgeLabel(EdgeLabelMaker factory)` Creates a new edge label with default settings against the provided `EdgeLabelMaker`.
    `PropertyKey` | `makePropertyKey(PropertyKeyMaker factory)` Creates a new property key with default settings against the provided `PropertyKeyMaker`.
    `VertexLabel` | `makeVertexLabel(VertexLabelMaker factory)` Creates a new vertex label with the default settings against the provided `VertexLabelMaker`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultSchemaMaker INSTANCE

  - ### Method Detail

    - #### makeEdgeLabel

          public EdgeLabel makeEdgeLabel(EdgeLabelMaker factory)

      Description copied from interface: `DefaultSchemaMaker`
      Creates a new edge label with default settings against the provided `EdgeLabelMaker`.
      Specified by:
        `makeEdgeLabel` in interface `DefaultSchemaMaker`
      Parameters:
        `factory` - EdgeLabelMaker through which the edge label is created
      Returns:
        A new edge label

    - #### makePropertyKey

          public PropertyKey makePropertyKey(PropertyKeyMaker factory)

      Description copied from interface: `DefaultSchemaMaker`
      Creates a new property key with default settings against the provided `PropertyKeyMaker`.
      Specified by:
        `makePropertyKey` in interface `DefaultSchemaMaker`
      Parameters:
        `factory` - PropertyKeyMaker through which the property key is created
      Returns:
        A new property key

    - #### makeVertexLabel

          public VertexLabel makeVertexLabel(VertexLabelMaker factory)

      Description copied from interface: `DefaultSchemaMaker`
      Creates a new vertex label with the default settings against the provided `VertexLabelMaker`.
      Specified by:
        `makeVertexLabel` in interface `DefaultSchemaMaker`
      Parameters:
        `factory` - VertexLabelMaker through which the vertex label is created
      Returns:
        A new vertex label

    - #### ignoreUndefinedQueryTypes

          public boolean ignoreUndefinedQueryTypes()

      Description copied from interface: `DefaultSchemaMaker`
      Whether to ignore undefined types occurring in a query.

      If this method returns true, then undefined types referred to in a `TitanVertexQuery` will be silently ignored and an empty result set will be returned. If this method returns false, then usage of undefined types in queries results in an `IllegalArgumentException`.
      Specified by:
        `ignoreUndefinedQueryTypes` in interface `DefaultSchemaMaker`

Copyright © 2012–2014. All rights reserved.